nelmio_api_doc:
    documentation:
        info:
            title: OgBoot API
            description: OgBoot API documentation
            version: 1.0.0
        components:
            schemas:
                OgLive:
                    type: object
                    properties:
                        id:
                            type: string
                            description: Unique identifier for the ogLive client (checksum)
                            example: "6153d21e7bd7f2486c027c5b9b3b93b6"
                        distribution:
                            type: string
                            description: Distribution name of the ogLive client
                            example: "focal"
                        kernel:
                            type: string
                            description: Kernel version of the ogLive client
                            example: "5.13.0-27-beta"
                        architecture:
                            type: string
                            description: Architecture of the ogLive client
                            example: "amd64"
                        revision:
                            type: string
                            description: Revision of the ogLive client
                            example: "r20210706"
                        directory:
                            type: string
                            description: Directory path where the ogLive client is stored
                            example: "/opt/ogboot/tftpboot//ogLive-5.13.0-r20210706"
                DownloadOgLive:
                    type: object
                    properties:
                        id:
                            type: string
                            description: Unique identifier for the ogLive client
                            example: "1"
                        filename:
                            type: string
                            description: Filename of the ogLive client
                            example: "oglive-ubuntu-20.04.iso"
                        installed:
                            type: boolean
                            description: Whether the client is installed
                            example: true
                        compatible:
                            type: boolean
                            description: Whether the client is compatible
                            example: true


    areas: # to filter documented areas
        path_patterns:
            - ^/ogboot/ # Accepts routes under /api except /api/doc
